<id>
Thread Header for YaBB 2.1
</id>

<version>
1.0a
</version>

<mod info>
Description:
Admins, Gmods and Mods have the option of adding a header to each thread individually, containing any relevent infomation to that thread.
These information headers can contain html and ubbc tags, and have an optional title.

Installaton:
1) Modify YaBB files using BoardMod or manually.
2) Load modified files to your server in ASCII mode.

Admin/ModList.pl (ASCII)
Languages/English/Display.lng (ASCII)
Languages/English/Menu.lng (ASCII)
Sources/Display.pl (ASCII)
Sources/Subs.pl (ASCII)
Sources/SubList.pl (ASCII)
Template/default/Display.template (ASCII)
Variables/Menu0.def (ASCII)
Variables/Menu1.def (ASCII)
Variables/Menu2.def (ASCII)

yabbfiles/Buttons/English/admin_header.png (Binary)
yabbfiles/ModImages/ThreadHeader/admin_header.gif (Binary)
</mod info>

<author>
Original mod version ThreadHeader SP1.3 v 1.0 by: BHRA Webmaster. Change and expand Feature for YaBB 2.1 by: Jeffrey Man (Jet Li) and Boris Tjuvanov (MF-B)
</author>

<homepage>
http://yabb.xost.ru/ and http://www.grafix-world.nl
</homepage>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$ThreadHeader = "Thread_Header|Jeffrey Man (<a href=\"http://www.grafix-world.nl\" target=\"_blank\">Jet Li</a>) and Boris Tjuvanov (<a href=\"http://www.mf-b.ru\" target=\"_blank\">MF-B</a>)|Admins, Gmods and Mods have the option of adding a header to each thread individually, containing any relevent infomation to that thread.<br /><br /><span class=\"small\"><b>Credits:</b> original mod (YaBB 1.3) by 'BHRA Webmaster'</span>|1.0|August 14th, 2006|";
	push (@installed_mods, "$ThreadHeader");
</add before>

<edit file>
/Languages/English/Display.lng
</edit file>

<search for>
1;
</search for>

<add before>
%thead_txt = (
'1' => "Last Modified by",
'2' => "on ",
'3' => "Edit",
'4' => "Delete",
'5' => "Add Header",
'6' => "Are you sure you want to delete this header?",
'7' => "Optional header title \(maximum 50 characters\)",
'8' => "Use the form below to enter additional information relevent to this thread. This information will be displayed at the top of every page of this thread, and don't worry about making a mistake because it can be changed or deleted at any time.<br \/><br \/>You can also include a title for your information box, but this is optional - if you leave the title blank, it will not be displayed!",
'9' => "Max $MaxMessLen characters. Remaining characters: ",
);

</add before>

<edit file>
/Languages/English/Menu.lng
</edit file>

<search for>
%img_txt =(
</search for>

<add after>
'admin_header' => "Add Header",
</add after>

<edit file>
Sources/Display.pl
</edit file>

<search for>
1;
</search for>

<add before>
sub ShowHeader {
      my $threadid = $_[0];
      my ($header_id, $header_date, $header_subject, $tmpa, $tmpb);
	&LoadCensorList;
	$message = "";

	fopen(FILE,"$datadir/$threadid.head");
	$header_id = <FILE>;
	$header_date = <FILE>;
	$header_subject = <FILE>;
	while (<FILE>) { $message .= $_; }
	fclose(FILE);
	chomp $header_id;
	chomp $header_date;
	chomp $header_subject;

	$message = &Censor($message);
	&wrap;
	if ($enable_ubbc) {
		if (!$yyYaBBCloaded) { require "$sourcedir/YaBBC.pl"; }
		&DoUBBC;
	}
	&wrap2;
	&ToChars($message);
	$header_date = &timeformat($header_date);

	$yymaintheader .= qq~
	<table border="0" width="80%" cellspacing="1" cellpadding="4" bgcolor="" class="bordercolor" align="center">
		<tr><td class="titlebg" valign="middle" align="center"><b>$header_subject</b></td></tr>
		<tr><td class="windowbg">$message
	~;

	if($iammod || $iamadmin || $iamgmod) { 
		&LoadUser($header_id);
		$header_id = qq~$link{$header_id}~;
		$yymaintheader .= qq~
			<br /><br /><hr width="100%" size="1" class="hr" />
			<div style="float: left; text-align: left;"><span class="small">$thead_txt{'1'} $header_id $thead_txt{'2'}$header_date</span></div>
			<div style="float: right; text-align: right;"><span class="small"><a href="$scripturl?action=addheader;thread=$threadid">$thead_txt{'3'}</a> - <a href="$scripturl?action=delheader;thread=$threadid" onclick="return confirm('$thead_txt{'6'}')">$thead_txt{'4'}</a></span></div>
		 ~;
	} 

	$yymaintheader .= qq~
		</td></tr>
	</table><br />
	~;
}
</add before>

<search for>
1;
</search for>

<add before>
sub AddHeader {
	if(!$iammod && !$iamadmin && !$iamgmod) { &fatal_error("$display_txt{'1'}"); }
	require "$sourcedir/Palette.pl";
	LoadLanguage("Post");
	my $threadid = $INFO{'thread'};

	fopen(FILE,"$datadir/$threadid.head");
	$header_id = <FILE>;
	$header_date = <FILE>;
	$header_subject = <FILE>;
	while (<FILE>) { $message .= $_; }
	fclose(FILE);
      
	$header_subject =~ s/&amp;/&/g;
	$header_subject =~ s/&quot;/"/g;
	$header_subject =~ s/&lt;/</g;
	$header_subject =~ s/&gt;/>/g;
	&FromChars($header_subject);
	$convertstr = $header_subject;
	$convertcut = 50;
	&CountChars;
	$header_subject = $convertstr;
	$header_subject =~ s/&/&amp;/;
	$header_subject =~ s/"/&quot;/g;
	$header_subject =~ s/</&lt;/g;
	$header_subject =~ s/>/&gt;/g;
      
	chomp $message;
	$message =~ s~<br \/>~\n~ig;
	$message =~ s~<br>~\n~ig;
	$message =~ s/ \&nbsp; \&nbsp; \&nbsp;/\t/ig;
	$message =~ s~<\/~\&lt\;/~isg;
	&ToChars($message);

      $yymain .= qq~
<script language="JavaScript1.2" src="$ubbcjspath" type="text/javascript"></script>
<script language="JavaScript1.2" src="$postjspath" type="text/javascript"></script>
<script language="JavaScript1.2" type="text/javascript">
<!--
function checkForm(theForm) {
if (navigator.appName == "Microsoft Internet Explorer") { theForm.message.createTextRange().execCommand("Copy"); }
if (theForm.message.value == "") { alert("$post_txt{'78'}"); theForm.message.focus(); return false }
return true
}
//-->
</script>
<form action="$scripturl?action=addheader2;thread=$threadid" method="post" name="postmodify" onsubmit="if(!checkForm(this)) {return false} else {return submitproc()}">
<table border="0" width="70%" cellspacing="1" cellpadding="5" bgcolor="" class="bordercolor" align="center">
      <tr>
            <td class="titlebg"><img src="$modimgurl/ThreadHeader/admin_header.gif" alt="" border="0" align="absmiddle" /> <span class="text1"><b>$thead_txt{'5'}</b></span></td>
      </tr><tr>
            <td class="windowbg2"><span class="small">$thead_txt{'8'}</span></td>
      </tr><tr>
            <td class="windowbg" align="center">      <input type="text" name="header_subject" size="80" maxlenght="50" value="$header_subject" style="width:60%" /><br />
            <span class="small">$thead_txt{'7'}</span></td>
      </tr><tr>
          <td class="windowbg2" valign="middle"  align="center">
            <table><tr><td>
            <div style="width: 484px; clear: both;">
            <div style="width: 391px; float:left;">
        <script language="JavaScript1.2" type="text/javascript">
        <!--
        if((navigator.appName == "Netscape" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Microsoft Internet Explorer" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Opera" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "WebTV Plus Receiver" && navigator.appVersion.charAt(0) >= 3) || (navigator.appName == "Konqueror" && navigator.appVersion.charAt(0) >= 2)) {
          HAND = "style='cursor: pointer;'";
          document.write("<img src='$imagesdir/url.gif' onclick='hyperlink();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'257'}' title='$post_txt{'257'}' border='0' />");
          document.write("<img src='$imagesdir/ftp.gif' onclick='ftp();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'434'}' title='$post_txt{'434'}' border='0' />");
          document.write("<img src='$imagesdir/img.gif' onclick='image();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'435'}' title='$post_txt{'435'}' border='0' />");
          document.write("<img src='$imagesdir/email2.gif' onclick='emai1();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'258'}' title='$post_txt{'258'}' border='0' />");
          document.write("<img src='$imagesdir/flash.gif' onclick='flash();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'433'}' title='$post_txt{'433'}' border='0' />");
          document.write("<img src='$imagesdir/table.gif' onclick='table();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'436'}' title='$post_txt{'436'}' border='0' />");
          document.write("<img src='$imagesdir/tr.gif' onclick='trow();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'449'}' title='$post_txt{'449'}' border='0' />");
          document.write("<img src='$imagesdir/td.gif' onclick='tcol();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'437'}' title='$post_txt{'437'}' border='0' />");
          document.write("<img src='$imagesdir/hr.gif' onclick='hr();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'531'}' title='$post_txt{'531'}' border='0' />");
          document.write("<img src='$imagesdir/tele.gif' onclick='teletype();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'440'}' title='$post_txt{'440'}' border='0' />");
          document.write("<img src='$imagesdir/code.gif' onclick='showcode();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'259'}' title='$post_txt{'259'}' border='0' />");
          document.write("<img src='$imagesdir/quote2.gif' onclick='quote();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'260'}' title='$post_txt{'260'}' border='0' />");
          document.write("<img src='$imagesdir/edit.gif' onclick='edit();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'603'}' title='$post_txt{'603'}' border='0' />");
          document.write("<img src='$imagesdir/sup.gif' onclick='superscript();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'447'}' title='$post_txt{'447'}' border='0' />");
          document.write("<img src='$imagesdir/sub.gif' onclick='subscript();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'448'}' title='$post_txt{'448'}' border='0' />");
          document.write("<img src='$imagesdir/move.gif' onclick='move();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'439'}' title='$post_txt{'439'}' border='0' />");
          document.write("<img src='$imagesdir/timestamp.gif' onclick='timestamp($date);' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'245'}' title='$post_txt{'245'}' border='0' /><br />");
          document.write("<img src='$imagesdir/bold.gif' onclick='bold();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'253'}' title='$post_txt{'253'}' border='0' />");
          document.write("<img src='$imagesdir/italicize.gif' onclick='italicize();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'254'}' title='$post_txt{'254'}' border='0' />");
          document.write("<img src='$imagesdir/underline.gif' onclick='underline();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'255'}' title='$post_txt{'255'}' border='0' />");
          document.write("<img src='$imagesdir/strike.gif' onclick='strike();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'441'}' title='$post_txt{'441'}' border='0' />");
          document.write("<img src='$imagesdir/highlight.gif' onclick='highlight();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'246'}' title='$post_txt{'246'}' border='0' />");
          document.write('<select name="fontface" id="fontface" onchange="if(this.options[this.selectedIndex].value) fontfce(this.options[this.selectedIndex].value);" style="width: 93px; margin-top: 2px; margin-left: 2px; margin-right: 1px; font-size: 9px;">');
          document.write('<option value="">Verdana<\/option>');
          document.write('<option value="">\\-\\-\\-\\-\\-</option>');
          document.write('<option value="Sans-Serif" style="font-family: Sans-Serif">Sans-Serif</option>');
          document.write('<option value="Verdana" style="font-family: Verdana" selected="selected">Verdana</option>');
          document.write('<option value="Arial" style="font-family: Arial">Arial</option>');
          document.write('<option value="Serif" style="font-family: Serif">Serif</option>');
          document.write('<option value="Courier" style="font-family: Courier">Courier</option>');
          document.write('<option value="Courier New" style="font-family: Courier New">Courier New</option>');
          document.write('<option value="Fantasy" style="font-family: Fantasy">Fantasy</option>');
          document.write('<option value="monospace" style="font-family: monospace">Monospace</option>');
          document.write('</select>');
          document.write('<select name="fontsize" id="fontsize" onchange="if(this.options[this.selectedIndex].value) fntsize(this.options[this.selectedIndex].value);" style="width: 39px; margin-top: 2px; margin-left: 1px; margin-right: 2px; font-size: 9px;">');
          document.write('<option value="">11</option>');
          document.write('<option value="">\\-\\-</option>');
          document.write('<option value="9">9</option>');
          document.write('<option value="10">10</option>');
          document.write('<option value="11" selected="selected">11</option>');
          document.write('<option value="12">12</option>');
          document.write('<option value="14">14</option>');
          document.write('<option value="16">16</option>');
          document.write('<option value="18">18</option>');
          document.write('<option value="20">20</option>');
          document.write('<option value="22">22</option>');
          document.write('<option value="24">24</option>');
          document.write('</select>');
          document.write("<img src='$imagesdir/pre.gif' onclick='pre();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'444'}' title='$post_txt{'444'}' border='0' \/>");
          document.write("<img src='$imagesdir/left.gif' onclick='left();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'445'}' title='$post_txt{'445'}' border='0' \/>");
          document.write("<img src='$imagesdir/center.gif' onclick='center();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'256'}' title='$post_txt{'256'}' border='0' \/>");
          document.write("<img src='$imagesdir/right.gif' onclick='right();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'446'}' title='$post_txt{'446'}' border='0' \/>");
          document.write("<img src='$imagesdir/list.gif' onclick='list();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'261'}' title='$post_txt{'261'}' border='0' \/>");
          document.write("<img src='$imagesdir/me.gif' onclick='me();' "+HAND+" align='top' width='23' height='22' alt='$post_txt{'604'}' title='$post_txt{'604'}' border='0' \/>");
          img1 = new Image();
          img1.src = "$imagesdir/palette.gif";
        } else { document.write("<span class='small'>$post_txt{'215'}</span>"); }
        //-->
        </script>
        <noscript>
        <span class="small">$post_txt{'215'}</span>
        </noscript></div>
            ~;
            &Palette("post");
            $yymain .= $yymainPLT;
            $yymain .= qq~
		</div>
        </td></tr></table> 
		</td>
		</tr>
          ~;

$more_smilie_array .= qq~""~; 

            $yymain .= qq~
        <tr>
          <td class="windowbg2" valign="middle"  align="center">
          <script language="JavaScript1.2" type="text/javascript">
          <!--
            moresmiliecode = new Array($more_smilie_array) 

            function MoreSmilies(i) { 
              AddTxt=moresmiliecode[i]; 
              AddText(AddTxt); 
            }

            function smiliewin() {
              window.open("$smiliewinlink", 'list', 'width=$winwidth,height=$winheight, scrollbars=yes');
            }
            if((navigator.appName == "Netscape" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Microsoft Internet Explorer" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Opera" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Konqueror" && navigator.appVersion.charAt(0) >= 2)) {
            HAND = "style='cursor: pointer;'";
            document.write("<img src='$imagesdir/smiley.gif' onclick='smiley();' "+HAND+" align='bottom' alt='$post_txt{'287'}' title='$post_txt{'287'}' border='0' /> ");
            document.write("<img src='$imagesdir/wink.gif' onclick='wink();' "+HAND+" align='bottom' alt='$post_txt{'292'}' title='$post_txt{'292'}' border='0' /> ");
            document.write("<img src='$imagesdir/cheesy.gif' onclick='cheesy();' "+HAND+" align='bottom' alt='$post_txt{'289'}' title='$post_txt{'289'}' border='0' /> ");
            document.write("<img src='$imagesdir/grin.gif' onclick='grin();' "+HAND+" align='bottom' alt='$post_txt{'293'}' title='$post_txt{'293'}' border='0' /> ");
            document.write("<img src='$imagesdir/angry.gif' onclick='angry();' "+HAND+" align='bottom' alt='$post_txt{'288'}' title='$post_txt{'288'}' border='0' /> ");
            document.write("<img src='$imagesdir/sad.gif' onclick='sad();' "+HAND+" align='bottom' alt='$post_txt{'291'}' title='$post_txt{'291'}' border='0' /> ");
            document.write("<img src='$imagesdir/shocked.gif' onclick='shocked();' "+HAND+" align='bottom' alt='$post_txt{'294'}' title='$post_txt{'294'}' border='0' /> ");
            document.write("<img src='$imagesdir/cool.gif' onclick='cool();' "+HAND+" align='bottom' alt='$post_txt{'295'}' title='$post_txt{'295'}' border='0' /> ");
            document.write("<img src='$imagesdir/huh.gif' onclick='huh();' "+HAND+" align='bottom' alt='$post_txt{'296'}' title='$post_txt{'296'}' border='0' /> ");
            document.write("<img src='$imagesdir/rolleyes.gif' onclick='rolleyes();' "+HAND+" align='bottom' alt='$post_txt{'450'}' title='$post_txt{'450'}' border='0' /> ");
            document.write("<img src='$imagesdir/tongue.gif' onclick='tongue();' "+HAND+" align='bottom' alt='$post_txt{'451'}' title='$post_txt{'451'}' border='0' /> ");
            document.write("<img src='$imagesdir/embarassed.gif' onclick='embarassed();' "+HAND+" align='bottom' alt='$post_txt{'526'}' title='$post_txt{'526'}' border='0' /> ");
            document.write("<img src='$imagesdir/lipsrsealed.gif' onclick='lipsrsealed();' "+HAND+" align='bottom' alt='$post_txt{'527'}' title='$post_txt{'527'}' border='0' /> ");
            document.write("<img src='$imagesdir/undecided.gif' onclick='undecided();' "+HAND+" align='bottom' alt='$post_txt{'528'}' title='$post_txt{'528'}' border='0' /> ");
            document.write("<img src='$imagesdir/kiss.gif' onclick='kiss();' "+HAND+" align='bottom' alt='$post_txt{'529'}' title='$post_txt{'529'}' border='0' /> ");
            document.write("<img src='$imagesdir/cry.gif' onclick='cry();' "+HAND+" align='bottom' alt='$post_txt{'530'}' title='$post_txt{'530'}' border='0' /> ");
            $moresmilieslist
            } else { document.write("<span  class='small'>$post_txt{'215'}</span>"); }
          //-->
          </script>
          </td>
      </tr>
          ~;
            
            $yymain .= qq~
      <tr>
		<td class="windowbg2" align="center">
		<textarea name="message" cols="80" rows="10" style="height: 150px; width: 98%; padding: 5px; margin: 0px; visibility: visible;" onclick="javascript:storeCaret(this);" onkeyup="javascript:storeCaret(this);" onchange="javascript:storeCaret(this);">$message</textarea><br />
		<img src="$imagesdir/green1.gif" name="chrwarn3" height="8" width="8" border="0" vspace="0" hspace="0" alt="" align="middle" />
		<span class="small">$thead_txt{'9'} <input value="$MaxMessLen" size="3" name="msgCL3" class="windowbg2" style="border: 0px; font-size: 11px; width: 40px; padding: 1px" disabled="disabled" /></span><br />
		<script language="JavaScript1.2" type="text/javascript">
		<!--
		var noalert3 = true, gralert3 = false, rdalert3 = false, clalert3 = false;
		var prevsec3 = 5
		var prevtxt3
		var cntsec3 = 0
                              
		function tick3() {
			cntsec3++
			calcCharLeft3()
			timerID3 = setTimeout("tick3()",1000)
		}
                              
		var autoprev3 = false;
		var topicfirst3 = true;
                              
		function calcCharLeft3() {
			clipped3 = false;
			maxLength3 = $MaxMessLen;
			if (document.postmodify.message.value.length > maxLength3) {
				document.postmodify.message.value = document.postmodify.message.value.substring(0,maxLength3)
				charleft3 = 0;
				clipped3 = true;
			} else {
				charleft3 = maxLength3 - document.postmodify.message.value.length
			}
			prevsec3++
			strLength3 = maxLength3 / 2
			strLength33 = maxLength3 / 4
			document.postmodify.msgCL3.value = charleft3
                                
			if (charleft3 >= strLength3 && noalert3) { noalert3 = false; gralert3 = true; rdalert3 = true; clalert3 = true; document.images.chrwarn3.src="$imagesdir/green1.gif"; }
			if (charleft3 < strLength3 && charleft3 >= strLength33 && gralert3) { noalert3 = true; gralert3 = false; rdalert3 = true; clalert3 = true; document.images.chrwarn3.src="$imagesdir/green0.gif"; }
			if (charleft3 < strLength33 && charleft3 > 0 && rdalert3) { noalert = true; gralert = true; rdalert = false; clalert = true; document.images.chrwarn3.src="$imagesdir/red0.gif" }
			if (charleft3 == 0 && clalert3) { noalert3 = true; gralert3 = true; rdalert3 = true; clalert3 = false; document.images.chrwarn3.src="$imagesdir/red1.gif"; }
			return clipped3
		}

		tick3();   
		//-->
		</script>            
		</td>
      </tr><tr>
		<td class="catbg" align="center"><input type="submit" name="post" style="width: 150px;" value="$post_txt{'105'}" accesskey="s" />&nbsp;&nbsp;&nbsp;<input type="reset" name="clear" style="width: 150px;" value="$post_txt{'278'}" accesskey="r" /></td>
      </tr>
</table>
</form>
      ~;

      $yytitle = $thead_txt{'5'};
      &template;
      exit;
}
</add before>

<search for>
1;
</search for>

<add before>
sub AddHeader2 {
      if(!$iammod && !$iamadmin && !$iamgmod) { &fatal_error("$display_txt{'1'}"); }
      my $threadid = $INFO{'thread'};
      my $header_subject = $FORM{'header_subject'};
      my $message = $FORM{'message'};
      
	$header_subject =~ s/&amp;/&/g;
	$header_subject =~ s/&quot;/"/g;
	$header_subject =~ s/&lt;/</g;
	$header_subject =~ s/&gt;/>/g;
	&FromChars($header_subject);
	$convertstr = $header_subject;
	$convertcut = 50;
	&CountChars;
	$header_subject = $convertstr;
	$header_subject =~ s/&/&amp;/;
	$header_subject =~ s/"/&quot;/g;
	$header_subject =~ s/</&lt;/g;
	$header_subject =~ s/>/&gt;/g;
            
	$message =~ s/\cM//g;
	$message =~ s~\[([^\]]{0,30})\n([^\]]{0,30})\]~\[$1$2\]~g;
	$message =~ s~\[/([^\]]{0,30})\n([^\]]{0,30})\]~\[/$1$2\]~g;
	$message =~ s~(\w+://[^<>\s\n\"\]\[]+)\n([^<>\s\n\"\]\[]+)~$1\n$2~g;
	&FromChars($message);
	&ToHTML($message);
	$message =~ s~\t~ \&nbsp; \&nbsp; \&nbsp;~g;
	$message =~ s~\n~<br />~g;
	$message =~ s/([\000-\x09\x0b\x0c\x0e-\x1f\x7f])/\x0d/g;
	&CheckIcon;
      
	fopen(FILE,">$datadir/$threadid.head");
	print FILE qq~$username\n~;
	print FILE qq~$date\n~;
	print FILE qq~$header_subject\n~;
	print FILE qq~$message~;
	fclose(FILE);

	$yySetLocation = qq~$scripturl?num=$threadid~;
	&redirectexit;
}

sub DeleteHeader {
	if(!$iammod && !$iamadmin && !$iamgmod) { &fatal_error("$display_txt{'1'}"); }
	my $threadid = $INFO{'thread'};
	unlink("$datadir/$threadid.head");
	$yySetLocation = qq~$scripturl?num=$threadid~;
	&redirectexit;
}
</add before>

<search for>
	$adminhandellist =~ s/<yabb multidelete>/$template_multidelete/g;
</search for>

<add after>
	$adminhandellist =~ s/<yabb admheader>/$template_admheader/g;
</add after>

<search for>
		$template_sticky = qq~$menusep<a href="$scripturl?action=sticky;thread=$viewnum">$img{'admin_sticky'}</a>~;
</search for>

<add after>
		if (!-e "$datadir/$viewnum.head" && $currentboard ne $annboard) {
			$template_admheader = qq~$menusep<a href="$scripturl?action=addheader;thread=$viewnum">$img{'admin_header'}</a>~;
		}
</add after>

<search for>
	$display_template =~ s/<yabb home>/$template_home/g;
</search for>

<add before>
      if (-e "$datadir/$viewnum.head") { 
            &ShowHeader($viewnum);
            $display_template =~ s/<yabb threadheader>/$yymaintheader/g;
      }
</add before>

<edit file>
Sources/Subs.pl
</edit file>

<search for>
		unlink("$datadir/$removethread.poll");
</search for>

<add before>
		unlink("$datadir/$removethread.head");
</add before>

<edit file>
Sources/SubList.pl
</edit file>

<search for>
%director=(
</search for>

<add after>
'addheader',"Display.pl&AddHeader",
'addheader2',"Display.pl&AddHeader2",
'delheader',"Display.pl&DeleteHeader",
</add after>

<edit file>
Templates/default/Display.template
</edit file>

<search for>
	<yabb move><yabb remove><yabb splice><yabb lock><yabb hide><yabb sticky><yabb multidelete>
</search for>

<replace>
	<yabb move><yabb remove><yabb splice><yabb lock><yabb hide><yabb sticky><yabb multidelete><yabb admheader>
</replace>

<search for>
<!-- Navigation Bar start -->
</search for>

<add before>
<yabb threadheader>
</add before>

<edit file>
Variables/Menu0.def
</edit file>

<search for>
'admin_del' => "<img src=\"$imagesdir/admin_rem.$imgext\" alt=\"$img_txt{'55'}\" border=\"0\" /> <span class=\"imgwindowbg\">$img_txt{'55'}</span>",
</search for>

<add after>
'admin_header' => "<img src=\"$modimgurl/ThreadHeader/admin_header.$imgext\" alt=\"$img_txt{'admin_header'}\" border=\"0\" /> <span class=\"imgwindowbg\">$img_txt{'admin_header'}</span>",
</add after>

<edit file>
Variables/Menu1.def
</edit file>

<search for>
'admin_del' => "<span class=\"imgwindowbg\">$img_txt{'55'}</span>",
</search for>

<add after>
'admin_header' => "<span class=\"imgwindowbg\">$img_txt{'admin_header'}</span>",
</add after>

<edit file>
Variables/Menu2.def
</edit file>

<search for>
'admin_del' => "<img src=\"$html_root/Buttons/$language/delselected.$imgext\" alt=\"$img_txt{'55'}\" border=\"0\" />",
</search for>

<add after>
'admin_header' => "<img src=\"$html_root/Buttons/$language/admin_header.$imgext\" alt=\"$img_txt{'admin_header'}\" border=\"0\" />",
</add after>